## org.eclipse.emf.codegen.jet
Class JETParser.Expression

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETParser.Expression

All Implemented Interfaces:
  JETCoreElement

Enclosing class:
  JETParser

    public static class JETParser.Expression

extends java.lang.Object
implements JETCoreElement

Constructor Summary
`JETParser.Expression()`

Method Summary
`boolean` `accept(JETParseEventListener listener, JETReader reader, JETParser parser)` Return true if the input contained the sequence that matched the action corresponding to this core tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JETParser.Expression

    public JETParser.Expression()

Method Detail

### accept

    public boolean accept(JETParseEventListener listener,
                          JETReader reader,
                          JETParser parser)
                   throws JETException

  Description copied from interface: `JETCoreElement`
  Return true if the input contained the sequence that matched the action corresponding to this core tag.

  Specified by:
    `accept` in interface `JETCoreElement`
  Throws:
    `JETException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.